ADDUSER(8)

NAME
adduser, addgroup - add a user or group to the system

SYNOPSIS
adduser [options] [--home DIR] [--uid ID] [--ingroup GROUP | --gid ID] [--disabled-password] [--gecos GECOS] user

adduser --system [options] [--home DIR] [--uid ID] [--group | --ingroup GROUP | --gid ID] [--disabled-password] [--gecos GECOS] user

adduser --group [options] [--gid ID] group
addgroup [options] [--gid ID] group

adduser [options] user group

  COMMON OPTIONS
[--quiet] [--force-badname] [--help] [--version] [--conf FILE]

DESCRIPTION

adduser and addgroup add users and groups to the system according to command line options and configuration information in /etc/adduser.conf. The programs can be run in one of four modes:

  Add a normal user
If called with one non-option argument and without the --system or --group options, adduser will add a normal user. adduser will choose the first available UID from the range specified for normal users in the configuration file. The UID can be overridden with the --uid option. By default, each user in Debian GNU/Linux is given a corresponding group with the same name and id. Usergroups allow group writable directories to be easily maintained by placing the appropriate users in the new group, setting the set-group-ID bit in the directory, and ensuring that all users use a umask of 002. If this option is turned off by setting USERGROUPS to no, all users' GIDs are set to USERS_GID. Users' groups can also be overridden from the command line with the --gid or --ingroup options to set the group by id or name, respectively. adduser will create a home directory subject to DHOME, GROUPHOMES, and LETTERHOMES. The home directory can be overridden from the command line with the --home option. The home directory's set-group-ID bit is set if USERGROUPS is yes so that any files created in the user's home directory will have the correct group. adduser will copy files from SKEL into the home directory and prompt for finger (gecos) information and a password. The gecos may also be set with the --gecos option. With the --disabled-password option, the account will be created but will be disabled until a password is set. If the file /usr/local/sbin/adduser.local exists, it will be executed after the user account has been set up in order to do any local setup. The arguments passed to adduser.local are:
username uid gid home-directory

  Add a system user
If called with one non-option argument and the --system option, adduser will add a system user. adduser will choose the first available UID from the range specified for system users in the configuration file. The UID can be overridden with the --uid option. By default, system users are placed in the nogroup group. To place the new system user in an already existing group, use the --gid or --ingroup options. To place the new system user in a new group with the same ID, use the --group option. A home directory is created by the same rules as for normal users. The new system user will have the shell /bin/false and have a disabled password. Skeletal configuration files are not copied. If adduser created the home directory and a new group for the system user, it will set the set-group-ID bit on the directory.

  Add a system group
If adduser is called with the --group option, or addgroup is called, a system group will be added. A GID will be chosen from the range specified for system UIDS in the configuration file. The GID can be overridden with the --gid option. The group is created with no users.

  Add an existing user to an existing group
If called with two non-option arguments, adduser will add an existing user to an existing group.

OPTIONS

--conf FILE
    Use FILE instead of /etc/adduser.conf.

--disabled-password
    Do not run passwd to set the password. The user won't be able to use her account until the password is set.

--force-badname
    2By default, user and group names are required to consist of a lowercase letter followed by zero or more lowercase letters or numbers. This option forces adduser and addgroup to be more lenient.

--gecos GECOS
    Set the gecos field for the new entry generated. adduser will not ask for finger information if this option is given.

--gid ID
    When creating a group, this option forces the new groupid to be the given number. When creating a user, this option will put the user in that group.

--group
    When combined with --system, a group with the same name and ID as the system user is created. If not combined with --system, a group with the given name is created. This is the default action if the program is invoked as addgroup.

--help
    Display brief instructions.

--home DIR
    Use DIR as the user's home directory, rather than the default specified by the configuration file. If the directory does not exist, it is created and skeleton files are copied.

--ingroup GROUP
    Add the new user to GROUP instead of a usergroup or the default group defined by USERS_GID in the adduser.conf file.

--quiet
    Suppress progress messages.

--system
    Create a system user.

--uid ID
    Force the new userid to be the given number. adduser will fail if the userid is already taken.

--version
    Display version and copyright information.

FILES
/etc/adduser.conf

SEE ALSO
adduser.conf(5)

COPYRIGHT
Copyright (C) 1997 Guy Maor.
Copyright (C) 1995 Ted Hajek, with a great deal borrowed from the original Debian adduser
Copyright (C) 1994 Ian Murdock. adduser is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is no warranty.